Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		krename
Version:	4.0.3
Release:	1
License:	GNU/GPL 
URL:		http://www.krename.net
Group:		Utilities
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	krename is a KDE based filerenamer. 
BuildRequires:	libart_lgpl-devel
BuildRequires:	fam-devel
BuildRequires:	libidn-devel
BuildRequires:	kdelibs-devel >= 4.1
BuildRequires:	libpng-devel
BuildRequires:	automoc4
BuildRequires:	phonon-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: pcre-devel
BuildRequires: qt4-devel
BuildRequires: strigi-devel
BuildRequires: taglib-devel
BuildRequires: zlib-devel

%description
krename offers an easy way to rename hundreds of files in one go, giving you as much freedom as you need.
You can use parts of the old filename, information like the current date or even an mp3 tag or the
colour depth of an image. Krename integrates into the Konqueror or Krusader filemanager.
For more details see: http://www.krename.net
 
%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DKDE4_ENABLE_FINAL=ON
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd
# strep debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/krename
%{_datadir}/applications/kde4/krename.desktop
%{_datadir}/icons/hicolor/32x32/apps/krename.png
%{_datadir}/icons/hicolor/48x48/apps/krename.png
%{_datadir}/icons/locolor/16x16/apps/krename.png
%{_datadir}/icons/locolor/32x32/apps/krename.png
%{_datadir}/kde4/services/ServiceMenus/krename_all_nonrec.desktop
%{_datadir}/kde4/services/ServiceMenus/krename_dir_rec.desktop
%{_locale}/*/LC_MESSAGES/krename.mo


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0.3-1
- Version update
* Mon Jun 01 2009 Christian Wasem <wasem@ccux-linux.de> 3.9.3-1
- Version update
* Sat Oct 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.9.2-2
- rebuilt with relaxed optimization flags
* Fri Oct 10 2008 Christian Wasem <wasem@ccux-linux.de> 3.9.2-1
- Version Update
* Fri Aug 01 2008 Christian Wasem <wasem@ccux-linux.de> 3.9.1-1
- Version Update
* Wed May 07 2008 Christian Wasem <wasem@ccux-linux.de> 3.0.14-1
- Version update
* Mon Dec 04 2006 Christian Metzen <metzench@ccux-linux.de> 3.0.13-1
- Version update
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.12-1
- Version update
* Wed Oct 18 2005 Christian Wasem <wasem@ccux-linux.de> 3.0.9-1
- Version Update to 3.0.9
* Sat Sep 24 2005 Christian Wasem <wasem@ccux-linux.de> 3.0.8-1
- Version Update to 3.0.8
* Sun May 22 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.5-1
- Version Update to 3.0.5
* Thu Apr 21 2005 Christian Wasem <wasem@ccux-linux.de> 3.0.4-1
- Version Update to 3.0.4
* Sun Feb 13 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.3-1
- Version Update to 3.0.3
* Sun Jan 30 2005 Christian Wasem <wasem@ccux-linux.de> 3.0.2-1
- Initial Release  
